package com.jdc.jdcproject.mapper;

import com.jdc.jdcproject.entity.DicekeMiningloss;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jdc.jdcproject.entity.VO.DicekeMininglossVo;
import com.jdc.jdcproject.entity.VO.DicekeTotalMiningVo;
import org.apache.ibatis.annotations.Mapper;

import java.time.LocalDate;
import java.util.List;

/**
 * <p>
 * 采剥与贫损表; Mapper 接口
 * </p>
 *
 * @author haoyanlu
 * @since 2025-04-26
 */
@Mapper
public interface DicekeMininglossMapper extends BaseMapper<DicekeMiningloss> {

    List<DicekeMininglossVo> findAllLoss();


    List<DicekeMininglossVo> findLossByMonthRange(int SmonthM, int SmonthY, int endMonthM, int endMonthY);


    List<DicekeMininglossVo> findLossByMonth(int monthV,int year);



}
